com.google.gwt.dom.builder.shared

## Interface MediaBuilder<T extends ElementBuilderBase<?>>

Type Parameters:
  `T` - the builder type returns from build methods

All Superinterfaces:
  ElementBuilderBase<T>

All Known Subinterfaces:
  AudioBuilder, VideoBuilder

All Known Implementing Classes:
  DomAudioBuilder, DomMediaBuilderBase, DomVideoBuilder, HtmlAudioBuilder, HtmlMediaBuilderBase, HtmlVideoBuilder

    public interface MediaBuilder<T extends ElementBuilderBase<?>>
    extends ElementBuilderBase<T>

Common superclass for Audio and Video builders.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `autoplay()` Enable autoplay of the resource.
`T` `controls()` Enable interactive controls.
`T` `loop()` Enable looping.
`T` `muted()` Enable muting.
`T` `preload(java.lang.String preload)` Set the preload setting to one of `MediaElement.PRELOAD_AUTO`, `MediaElement.PRELOAD_METADATA`, or `MediaElement.PRELOAD_NONE`.
`T` `src(java.lang.String url)` Sets the source URL for the media.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Method Detail

#### autoplay

    T autoplay()

Enable autoplay of the resource.

#### controls

    T controls()

Enable interactive controls.

#### loop

    T loop()

Enable looping.

#### muted

    T muted()

Enable muting.

#### preload

    T preload(java.lang.String preload)

Set the preload setting to one of `MediaElement.PRELOAD_AUTO`, `MediaElement.PRELOAD_METADATA`, or `MediaElement.PRELOAD_NONE`.

Parameters:
  `preload` - a String constants

#### src

    T src(java.lang.String url)

Sets the source URL for the media.